Subject: Re: [Fwd: Interesting Bug report on Sun Java Site]

From: Dan Espen <[email-masked]>
Date: Thu, 09 Mar 2000 18:33:43 -0500

"Robert H. Ford II" <[email-masked]> writes:
> Dan Espen wrote:
> 
> Dan,
> 
> I normally run with RandomPlacement and SmartPlacement.  I replaced
> RandomPlacement with ActivePlacement and had the same problem.
> 
> Do you have "wish"?  If so, the following will demonstrate the problem:
> 
> # wish
> % wm geometry . +0+0
> 
> You should notice that the titlebar is now moved off the screen.

Ok, I can create the  problem with "wish", although I  think its a bit
different when  an application asks to  move a window that already has
its frame vs. the way initial placement is done.

Yep, actually

wish -geometry +0+0

works fine.

I was more interested in a problem report I'm getting from my users about
a Java application they are writing where they claim it works under CDE
and not Fvwm.  But I'm having trouble prying a consistent story out of
them.

> Bob Ford II

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Danek Duvall <[email-masked]>
Date: Thu, 9 Mar 2000 15:47:12 -0800

On Thu, Mar 09, 2000 at 06:33:43PM -0500, Dan Espen wrote:

> and not Fvwm.

Note that Sun's JVM has specific checks to see if it's running under dtwm
or olwm.

> But I'm having trouble prying a consistent story out of them.

That could also be due to the JVM being full-enough of bugs that it doesn't
do things consistently itself.  Though the problems I see (including many
apps getting their decorations placed offscreen) tend to be fairly
consistent.  :(

Danek

---

From: Neil Bird <[email-masked]>
Date: Fri, 10 Mar 2000 09:18:32 +0000

Dan Espen wrote:
> I was more interested in a problem report I'm getting from my users
> about a Java application they are writing where they claim it works
> under CDE and not Fvwm.  But I'm having trouble prying a consistent
> story out of them.

  My dummy prog. (I'll dig it out & reattach it) comes up OK and moves OK
under CDE and olwm; just not FVWM. Hang on, I'll try to find it again ...

  OK, attached. Again, it comes down to: what *should* MoveResize do under
a WM?

  Further, the latest Enlightrenment 'suffers' the same way (borders go
off-screen).

-- 
=====================- http://www.racaldefence.com/ -===================
  Neil Bird                      |
                                 |            This .signature is
    mailto:[email-masked]  |          certified Y2K compliant

#include <X11/Xlib.h>

main()
{
   Display *dpy;
   Window   win;

   dpy = XOpenDisplay("");
   win = XCreateSimpleWindow( dpy, XDefaultRootWindow(dpy),
      0,0, 1,1, 0, 0, 0 );

   XMapWindow( dpy, win );
   XFlush( dpy );

   sleep(2);

   XMoveResizeWindow( dpy, win, 0,0, 800,600 );
   XFlush( dpy );

   sleep(2);

   XCloseDisplay(dpy);
}